#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

#define ff first
#define sc second
#define ll long long
#define pb push_back
#define all(x) (x).begin(),(x).end()

const int maxN = 2 * 1e5;

int get(ll x) {
    int cnt = 0;
    while (x % 2 == 0) {
        cnt++; x /= 2;
    }
    return cnt;
}
std::vector<int> solve(std::vector<int> arr) {
    int n = arr.size(); vector<int> ans;
    for (int i = 1; i < n; i += 2) ans.pb(i);
    for (int i = 0; i < n; i += 2) ans.pb(i);
    return ans;
}


// int main () {
//     ios_base::sync_with_stdio(false);
//     cin.tie(NULL);
//     int t;
//     cin >> t ;
//     for (int test=1; test<=t; test++) {
//         int n;
//         cin >> n ;
//         vector <int> a(n);
//         for (int i=0; i<n; i++) {
//             cin >> a[i] ;
//         }

//         for (auto ind : solve(a)) {
//             cout << ind << " ";
//         }
//         cout << endl ;
//     }
//     cout << endl ;
//     return 0;
// }
